Package: groovy.util

## [Groovy] Class FileNameByRegexFinder

- groovy.util.FileNameByRegexFinder

- All Implemented Interfaces and Traits:
    IFileNameFinder

      class FileNameByRegexFinder
      extends Object
      implements IFileNameFinder

  Find files according to a base directory and an includes and excludes pattern. The include and exclude patterns conform to regex conventions.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FileNameByRegexFinder()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<String>` | `getFileNames(String basedir, String pattern)`
    `` | `List<String>` | `getFileNames(String basedir, String pattern, String excludesPattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileNameByRegexFinder()

  - ### Method Detail

    - #### List<String> getFileNames(String basedir, String pattern)

    - #### List<String> getFileNames(String basedir, String pattern, String excludesPattern)